> ## Documentation Index
> Fetch the complete documentation index at: https://docs.powerdrill.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dataset status

> Datasets are stateless. This endpoint allows you to check the current statuses of data sources in the specified dataset to determine if the dataset is ready for running your jobs. 

A dataset is fully synchronized only when both `invalidCount` and `synchingCount` in the response are `0`. Otherwise, the data sources that are not synchronized cannot be accessed.



## OpenAPI

````yaml get /v1/team/datasets/{datasetId}/status
openapi: 3.0.1
info:
  title: Team Open API
  description: ''
  version: 1.0.0
servers:
  - url: https://ai.data.cloud/api
    description: 体验环境
security: []
tags:
  - name: Session
  - name: Dataset
  - name: Data source
  - name: File
  - name: Job
paths:
  /v1/team/datasets/{datasetId}/status:
    get:
      tags:
        - Dataset
      summary: Get dataset status
      description: >-
        Datasets are stateless. This endpoint allows you to check the current
        statuses of data sources in the specified dataset to determine if the
        dataset is ready for running your jobs. 


        A dataset is fully synchronized only when both `invalidCount` and
        `synchingCount` in the response are `0`. Otherwise, the data sources
        that are not synchronized cannot be accessed.
      parameters:
        - name: datasetId
          in: path
          description: The dataset ID.
          required: true
          schema:
            type: string
        - name: x-pd-external-trace-id
          in: header
          description: The external trace ID. The length ranges from 0 to 128 characters.
          required: false
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: >-
                      Status code. **0** indicates that the operation is
                      successful. Otherwise, the operation fails. Possible error
                      codes include: 

                      - 100: Bad request. 

                      - 201: Request frequency limit.

                      - 9999: Internal error. 

                      - 100001: Invalid operation. 
                  data:
                    type: object
                    properties:
                      synchedCount:
                        type: integer
                        description: The number of data sources that are synchronized.
                      invalidCount:
                        type: integer
                        description: The number of data sources failed to be synchronized.
                      synchingCount:
                        type: integer
                        description: >-
                          The number of data sources waiting to be synchronized
                          or being synchronized.
                    description: >-
                      The returned data object. Your dataset is fully
                      synchronized only when both `invalidCount` and
                      `synchingCount` are `0`. Otherwise, starting a
                      conversation immediately cannot fetching data from data
                      sourcs that are not synchronized.
                    required:
                      - synchedCount
                      - invalidCount
                      - synchingCount
                required:
                  - data
                  - code
              examples:
                '1':
                  summary: Success example
                  value:
                    code: 0
                    data:
                      synchedCount: 5
                      invalidCount: 0
                      synchingCount: 0
          headers:
            x-pd-trace-id:
              example: ''
              required: true
              description: The trace ID of Powerdrill.
              schema:
                type: string
      deprecated: false
      security:
        - apikey-header-x-pd-api-key: []
components:
  securitySchemes:
    apikey-header-x-pd-api-key:
      type: apiKey
      in: header
      name: x-pd-api-key

````